# shellcheck shell=bash
# vim: ft=sh

# [Esc] [Esc] вместо Ctrl+G
bindkey '\e\e' send-break

# Navi
if command -v navi > /dev/null 2>&1; then
	zinit snippet https://github.com/denisidoro/navi/blob/master/shell/navi.plugin.zsh
	bindkey '^G' _navi_widget
fi

# FZF #{{{
bindkey "^F" fzf-file-widget  # Ctrl+F file search
bindkey "^[[A" fzf-history-widget  # Up
bindkey "^[[B" fzf-history-widget  # Down
bindkey "${terminfo[kcuu1]}" fzf-history-widget  # Up
bindkey "${terminfo[kcud1]}" fzf-history-widget  # Down
#}}}

